import request from '@/utils/request';

export default {

  get: url => params => request(url, {params,}),

  post: url => params => request(url, {method: 'POST', data: {...params}}),

  postForm: url => params => request(url, {method: 'POST', data: {...params}, requestType: 'form'}),

  delete: url => params => request(url, {method: 'POST', data: {...params, method: 'delete'}}),

  put: url => params => request(url, {method: 'POST', data: {...params, method: 'put'}})
}
